/* main styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:focus{
	border: 2px dashed red;
}

html{
    background-color: cadetblue;
    font-family: "Comic Sans MS", "Comic Sans", cursive;
}

main {
    display: flex;
    justify-content: center;
    align-content: center;
    margin: 0 auto;
    width: 413px;
    height: 709px;
 }

img {
    max-width: 100%;
}

ul {
    list-style-type: none;
}

/* style from the main */

main {
    position: relative;
    /* background-color:turquoise; */
	/* border-radius: 5px; */
}

main .corner {
	position: absolute;
	right: 0;
	top: 0;
	border-top: 10px solid transparent;
	border-bottom: 10px solid #ddd;
	border-right: 10px solid transparent;
	border-left: 10px solid #ddd;
    box-shadow: -2px 2px 3px ;
    cursor: pointer;
    transition: .3s ;
    z-index: 99;
}

main .corner:hover{
	border-top: 15px solid transparent;
	border-bottom: 15px solid #ddd;
	border-right: 15px solid transparent;
	border-left: 15px solid #ddd;
	box-shadow: -2px 2px 3px black;
}

main .corner input[type="checkbox"] {
	position: absolute;
	left: -15px;
	top: -20px;
	opacity: 0;
	cursor: pointer;
	width: 30px;
	height: 40px;
}

main .corner label {
	font-size: 0;
	position: absolute;
}

main section {
	position: relative;
	transform-style: preserve-3d;
	transition: transform 0.6s;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	width: 100%;
}

main section article {
	background-color: turquoise;
	background-image: linear-gradient(140deg, #EADEDB 0%, #BC70A4 50%, #BFD641 75%);
	position: absolute;
	width: 100%;
	height: 100%;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	align-items: center;
	box-shadow: 5px 5px 10px #aaa;
	border-radius: 5px;
}

main section article > * {
	max-width: 90%;
}

main section article h2 {
	color: red;
}

.personal {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.personal > * {
    margin: 1em 0;
}
.personal img {
    border-radius: 50%;
    box-shadow: 8px 8px 8px #aaa;
    max-width: 200px;
}

.personal h2 {
    order: 2;
}

.socialMedia ul {
    display: flex;
}

.socialMedia ul li {
	width: 100px;
	height: 100px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.socialMedia ul li img {
	width: 50px;
	height: 50px;
}

/* back of th card */
main section article.back {
    transform: rotateY(180deg);
}